For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
      • POSTCreate client sign off
      • GETGet additional information required to request employee termination
      • GETRetrieve Employee Time Off Data for Offboarding
      • GETRetrieve offboarding attachment
      • GETRetrieve Offboarding Request
      • GETRetrieve restricted offboarding dates
      • POSTSubmit employee resignation PTO review
      • POSTSubmit employee sign-off review for offboarding documents
  • EOR Worker Endpoints
LogoLogo
SupportDeel Home
EOR EndpointsEOR Offboarding

Retrieve Employee Time Off Data for Offboarding

GET
/eor/contracts/:contract_id/offboarding/time-offs
GET
/rest/v2/eor/contracts/:contract_id/offboarding/time-offs
$curl -G https://api.letsdeel.com/rest/v2/eor/contracts/5B74FnLM/offboarding/time-offs \
> -H "Authorization: Bearer <token>" \
> -d end_date=2025-10-20
1{
2 "data": {
3 "contract_id": "r78nrqi",
4 "entitlements": [
5 {
6 "id": "aa3b5309-7f99-4417-b082-17aff902ddb5",
7 "used": 13,
8 "requests": 1,
9 "created_at": "2025-09-11T00:00:00.000Z",
10 "updated_at": "2025-09-11T00:00:00.000Z",
11 "tracking_period": "2025-03-14",
12 "entitlement_unit": "CALENDAR_DAY",
13 "tracking_period_end_date": "2026-03-13"
14 }
15 ],
16 "tracking_type": "ON_PLATFORM",
17 "policy_settings": {
18 "entitlement_unit": "CALENDAR_DAY",
19 "is_accrued_days_available": true,
20 "is_estimated_payout_available": true
21 },
22 "upcoming_time_offs": [
23 {
24 "id": "aa3b5309-7f99-4417-b082-17aff902ddb5",
25 "amount": 13,
26 "status": "APPROVED",
27 "end_date": "2025-12-28T00:00:00Z",
28 "created_at": "2025-09-11T00:00:00.000Z",
29 "start_date": "2025-12-08T00:00:00Z",
30 "updated_at": "2025-09-11T00:00:00.000Z",
31 "approved_at": "2025-08-13T00:00:00.000Z",
32 "requested_at": "2025-08-13T00:00:00.000Z"
33 }
34 ],
35 "has_external_integration": true,
36 "remaining_balance": 36.49
37 }
38}

Returns time off entitlements, balances, and upcoming time offs for the employee on the specified contract, optionally scoped to a target end_date. The response includes policy settings and tracking configuration required to support completion of an offboarding request. Token scopes: contracts:read

Was this page helpful?
Previous

Retrieve offboarding attachment

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
The unique identifier of the employee contract.

Query parameters

end_datestringOptionalformat: "date"
Desired end date for offboarding

Response

Successfully retrieved used time off information
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication